/*-------------------------------------------------------------------
 *
 *  @file blt.h
 *
 *  @author Collin R. Mulliner <collin@mulliner.org>
 *
 *  This is part of the Bluetooth Location Tracker (BLT) project.
 *
 *-------------------------------------------------------------------*/

#ifndef __BLT_H__
#define __BLT_H__

/**
 *  @brief max length of a blt device name
 */
#define BLT_DEVICE_NAME_LENGTH 255

struct blt_device_t {
	unsigned char bdAddr[6];
	char name[BLT_DEVICE_NAME_LENGTH+1];
	unsigned int devClass;
};

struct blt_device_status_t {
	struct blt_device_t dev;
	unsigned int rssi;
	time_t tStamp;
	unsigned int lg;
	unsigned int la;
};

#endif
