/**
 *  @file bluetooth_class.h
 *
 *  @author Collin R. Mulliner <collin@mulliner.org>
 *
 *  This is part of the Bluetooth Location Tracker (BLT) project
 */

#ifndef __BLUETOOTH_CLASS_H__
#define __BLUETOOTH_CLASS_H__

struct bluetooth_CoD_MSC_t {
	unsigned int mask:11;
	char *name;
};

struct bluetooth_CoD_MJDC_t {
	unsigned int id:5;
	char *name;
	unsigned char minorType; /**< 6,4,2 */
};
	
struct bluetooth_CoD_MIDC6 {
	unsigned int id:6;
	char *name;
};
		
struct bluetooth_CoD_MIDC4 {
	unsigned int id:4;
	char *name;
	struct {
		unsigned int id:2;
		char *name;
	} minor[4];
};

struct bluetooth_CoD_MIDC2 {
	unsigned int id:2;
	char *name;
	struct {
		unsigned int id:4;
		char *name;
	} minor[16];
};
#endif

void bluetooth_classToString(unsigned int class, char *sep, char *msc, char *mjc, char *mic);
