/*-------------------------------------------------------------------
 *
 *  @file location.h
 *
 *  @author Collin R. Mulliner <collin@mulliner.org>
 *
 *  This is part of the Bluetooth Location Tracker (BLT) project.
 *
 *-------------------------------------------------------------------*/

#ifndef __LOCATION_H__
#define __LOCATION_H__

#define BLT_LOCATION_NAMES_FILE "blt_location_names.ln"

#define BLT_LOCATION_NAME_LENGTH 100

struct blt_location_name_t {
	unsigned int la;
	unsigned int lg;
	char name[BLT_LOCATION_NAME_LENGTH+1];
};

struct blt_loc_names_t {
	struct blt_location_name_t *locs;
	unsigned int numLocations;
};

#endif

int blt_ln_load(struct blt_loc_names_t *ln);
void blt_ln_destroy(struct blt_loc_names_t *ln);
void blt_ln_init(struct blt_loc_names_t *ln);
