/*-------------------------------------------------------------------
 *
 *  @file util.h
 *
 *  @author Collin R. Mulliner <collin@mulliner.org>
 *
 *  This is part of the Bluetooth Location Tracker (BLT) project.
 *
 *-------------------------------------------------------------------*/

#ifndef __UTIL_H__
#define __UTIL_H__

/**
 *  @brief readbuf descriptor
 */
struct readbuf_t {
	unsigned char *buffer;	/**< buffer */
	unsigned int size;		/**< buffer size */
	unsigned int leng;		/**< input length */
};

#endif

char* scanWithEsc(char *in, char *out, int outleng);
void printWithEsc(char *in, char *out, int outleng);
void strcpyendchr(char *in, char *out, char delimiter, int outleng);
void parsemac(char *in, char *out);
ssize_t nwrite(int fd, const void *vptr, size_t n);
int fd_canread(int fd, int wait);

/* readbuf lib */
void readbufDestroy(struct readbuf_t *buf);
void readbufInit(struct readbuf_t *buf, int size);
int readbuf(struct readbuf_t *buf, int fd, char *out, int maxout, int wait);
int readbufGetLine(struct readbuf_t *buf, char *out, int maxout);
